Cloud Foundry Logo

PXC Release update for April 2020 MySQL security patches


Share

Severity

Critical

Vendor

Cloud Foundry Foundation

Description

Cloud Foundry Deployment, through its consumption of Percona XtraDB Cluster Release, is vulnerable to various MySQL vulnerabilities patched in the April 2020 Critical Patch Update, including the following high and critical issues:

  • CVE-2019-5482
  • CVE-2019-15601

Affected Cloud Foundry Products and Versions

Severity is critical unless otherwise noted.

  • PXC
    • All versions prior to v0.28.0
  • CF Deployment
    • All versions prior to v13.9.0

Mitigation

Users of affected products are strongly encouraged to follow the mitigations below. The Cloud Foundry project recommends upgrading the following releases:

  • PXC
    • Upgrade all versions to v0.28.0 or greater
  • CF Deployment
    • Upgrade all versions to v13.9.0 or greater

History

2020-08-11: Initial vulnerability report published.

Cloud Foundry Foundation Security Team Profile Image

Cloud Foundry Foundation Security Team, AUTHOR

SEE ALL ARTICLES